package steps

// |@@| F

import (
	"context"
	"gardening/src/dat/maes"
	"gardening/src/lib/maestro"
)

type PerformStep struct {
	Maestro *maestro.Maestro
}

func (this *PerformStep) Act(ctx context.Context, in *maes.PerformImagesRoutineMaeIn, out *maes.PerformImagesRoutineMaeOut) (bool, error) {
	this.Maestro.AddSuccessMessage(&out.Extra, "Images Routine performed")
	return maestro.Continue()
}
